apiVersion: operators.coreos.com/v1alpha1
kind: ClusterServiceVersion
metadata:
  name: windup-operator.0.0.8
  namespace: placeholder
  annotations:
    alm-examples: >-
      [
       {
         "apiVersion": "windup.jboss.org/v1",
         "kind": "Windup",
         "metadata": {
           "namespace": "mta",
           "name": "mta",
           "labels": {
             "application": "windup"
           }
         },
         "spec": {
           "hostname_http": "",
           "volumeCapacity": "20G",
           "mta_Volume_Capacity": "20G",
           "docker_images_repository": "quay.io",
           "docker_images_user": "windupeng",
           "docker_images_tag": "5.2.1.Final",
           "docker_image_web": "windup-web-openshift",
           "docker_image_executor": "windup-web-openshift-messaging-executor",
           "messaging_serializer": "http.post.serializer",
           "db_jndi": "java:jboss/datasources/WindupServicesDS",
           "db_username": "",
           "db_password": "",
           "db_min_pool_size": "",
           "db_max_pool_size": "",
           "db_tx_isolation": "",
           "mq_cluster_password": "",
           "mq_queues": "",
           "mq_topics": "",
           "jgroups_encrypt_secret": "eap-app-secret",
           "jgroups_encrypt_keystore": "jgroups.jceks",
           "jgroups_encrypt_name": "",
           "jgroups_encrypt_password": "",
           "jgroups_cluster_password": "",
           "auto_deploy_exploded": "false",
           "sso_url": "/auth",
           "sso_service_url": "/auth",
           "sso_realm": "mta",
           "sso_username": "",
           "sso_password": "",
           "sso_public_key": "",
           "sso_bearer_only": "",
           "sso_saml_keystore_secret": "eap7-app-secret",
           "sso_saml_keystore": "keystore.jks",
           "sso_saml_certificate_name": "jboss",
           "sso_saml_keystore_password": "mykeystorepass",
           "sso_secret": "",
           "sso_enable_cors": "false",
           "sso_saml_logout_page": "/",
           "sso_disable_ssl_certificate_validation": "true",
           "sso_truststore": "",
           "sso_truststore_password": "",
           "sso_truststore_secret": "eap7-app-secret",
           "gc_max_metaspace_size": 512,
           "max_post_size": "4294967296",
           "db_database": "mta",
           "postgresql_max_connections": "200",
           "postgresql_shared_buffers": "",
           "postgresql_cpu_request": "0.5",
           "postgresql_mem_request": "0.5Gi",
           "postgresql_cpu_limit": "2",
           "postgresql_mem_limit": "2Gi",
           "webLivenessInitialDelaySeconds": "120",
           "webLivenessTimeoutSeconds": "10",
           "webLivenessFailureThreshold": "3",
           "webReadinessInitialDelaySeconds": "120",
           "webReadinessTimeoutSeconds": "10",
           "webReadinessFailureThreshold": "3",
           "web_cpu_request": "0.5",
           "web_mem_request": "0.5Gi",
           "web_cpu_limit": "4",
           "web_mem_limit": "4Gi",
           "executor_cpu_request": "0.5",
           "executor_mem_request": "0.5Gi",
           "executor_cpu_limit": "4",
           "executor_mem_limit": "4Gi",
           "postgresql_image": "centos/postgresql-96-centos7:latest",
           "web_readiness_probe": "/bin/bash, -c, /opt/eap/bin/readinessProbe.sh",
           "web_liveness_probe": "/bin/bash, -c, /opt/eap/bin/livenessProbe.sh",
           "executor_readiness_probe": "/bin/bash, -c, /opt/mta-cli/bin/livenessProbe.sh",
           "executor_liveness_probe": "/bin/bash, -c, /opt/mta-cli/bin/livenessProbe.sh",
           "tls_secret": ""
         }
       }
      ]
    capabilities: Basic Install
    categories: Modernization & Migration
    certified: "false"
    containerImage: quay.io/windupeng/windup-operator-native:0.0.8
    imagePullPolicy: Always
    createdAt: 2021-12-14
    repository: https://github.com/windup/windup-operator/
    support: https://issues.redhat.com/projects/WINDUP
    description: MTA is an analysis tool that supports the modernization and migration of Java applications.
spec:
  description: >
    The Migration Toolkit for Applications (MTA) is a web console application that supports large-scale Java application modernization and migration projects across a broad range of transformations and use cases.  

    
    It analyzes application code, supports effort estimation, accelerates code migration, and enables users to move applications to containers.  


    For more information please refer to the [https://developers.redhat.com/products/mta/overview](https://developers.redhat.com/products/mta/overview) page.

  version: 0.0.8
  maintainers:
    - email: migrate@redhat.com
      name: Migration Toolkit for Applications
  maturity: alpha
  icon:
    - base64data: [encoded data, 31224 characters]
      mediatype: image/png
  links:
    - name: Website
      url: https://red.ht/mta
    - name: GitHub
      url: https://github.com/windup/windup-operator
    - name: Documentation
      url: https://access.redhat.com/documentation/en-us/migration_toolkit_for_applications
  customresourcedefinitions:
    owned:
      - description: >
          Create an MTA Web Console application.  
          

          To access the MTA Web Console application from the "Developer" perspective, please go to Topology and click on the "Open URL" icon on the web-console pod.  
          

          Alternatively from the "Administrator" perspective, please go to Networking->Routes and click on the Location hyperlink.  
          

          In order to connect with default login credentials, please use "mta" as username and "password" as password.  
          

          Known issue  

          If you want to customize the MTA Web Console instance's parameters and you can not see any in the `Form view`, please switch to the `YAML view` and change them as needed.
        displayName: Migration Toolkit for Applications
        kind: Windup
        name: windups.windup.jboss.org
        version: v1
  displayName: Migration Toolkit for Applications Operator
  provider:
    name: Red Hat
  install:
    spec:
      clusterPermissions:
        - rules:
            - apiGroups:
              - config.openshift.io
              resources:
                - ingresses
              verbs:
                - get
                - list
          serviceAccountName: windup-operator
      permissions:
        - rules:
            - apiGroups:
                - apps
                - extensions
              resources:
                - deployments
              verbs:
                - create
                - delete
                - get
                - list
                - patch
                - update
                - watch
            - apiGroups:
                - ""
              resources:
                - pods
                - persistentvolumeclaims
                - services
              verbs:
                - create
                - delete
                - get
                - list
                - patch
                - update
                - watch
            - apiGroups:
                - networking.k8s.io
              resources:
                - ingresses
              verbs:
                - create
                - delete
                - get
                - list
                - patch
                - update
                - watch
            - apiGroups:
                - route.openshift.io
              resources:
                - routes
              verbs:
                - create
                - delete
                - get
                - list
                - patch
                - update
                - watch
            - apiGroups:
                - windup.jboss.org
              resources:
                - windups
                - windups/status
              verbs:
                - create
                - list
                - watch
                - get
                - update
                - delete
                - patch
          serviceAccountName: windup-operator
      deployments:
        - name: windup-operator.0.0.8
          spec:
            replicas: 1
            selector:
              matchLabels:
                name: windup-operator
            template:
              metadata:
                labels:
                  name: windup-operator
              spec:
                serviceAccountName: windup-operator
                containers:
                  - name: windup-operator
                    image: quay.io/windupeng/windup-operator-native:0.0.8
                    imagePullPolicy: Always
                    env:
                      - name: WATCH_NAMESPACE
                        valueFrom:
                          fieldRef:
                            fieldPath: metadata.namespace
                        resources:
                          limits:
                            cpu: 1
                            memory: 200Mi
                          requests:
                            cpu: 100m
                            memory: 50Mi
            strategy:
              type: Recreate
    strategy: deployment
  installModes:
    - supported: true
      type: OwnNamespace
    - supported: true
      type: SingleNamespace
    - supported: false
      type: MultiNamespace
    - supported: false
      type: AllNamespaces
  keywords:
    - monitoring
    - security
    - alerting
    - metric
    - troubleshooting
    - run-time
    - migration
    - modernization
  replaces:  windup-operator.0.0.7
